Page MenuHomePhabricator

unattended-upgrades: upgrade packages from -updates suites as well
Closed, DeclinedPublic

Description

As discussed with @MoritzMuehlenhoff and @hashar regarding tickets T177920 and T159254, specifically in patch https://gerrit.wikimedia.org/r/#/c/389480/, having unattended upgrades for packages coming from -updates suites is good to have as well.

So, let's create a patch for this.

Event Timeline

aborrero created this task.Nov 10 2017, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 4:27 PM

Change 390431 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] apt: unattended upgrades -updates suites by default

https://gerrit.wikimedia.org/r/390431

Change 390431 abandoned by Rush:
apt: unattended upgrades -updates suites by default

Reason:
rolling into 394200

https://gerrit.wikimedia.org/r/390431

aborrero triaged this task as Low priority.Jan 15 2018, 2:12 PM
aborrero closed this task as Declined.Feb 15 2018, 11:18 AM

We will be handling this differently, see T181647 where we are creating a complete workflow for system upgrades, which includes this repo.